std::wbuffer_convert< _Codecvt, _Elem, _Tr >(3)

NAME
std::wbuffer_convert< _Codecvt, _Elem, _Tr > -

SYNOPSIS

Inherits basic_streambuf< _Elem, _Tr >.

  Public Types
typedef _Codecvt::state_type state_type

  Public Member Functions
wbuffer_convert (streambuf *__bytebuf=0, _Codecvt *__pcvt=new _Codecvt, state_type __state=state_type())
wbuffer_convert (const wbuffer_convert &)=delete
wbuffer_convert & operator= (const wbuffer_convert &)=delete
streambuf * rdbuf () const noexcept
streambuf * rdbuf (streambuf *__bytebuf) noexcept
state_type state () const noexcept

  Protected Member Functions
_Wide_streambuf::int_type overflow (typename _Wide_streambuf::int_type __out)
int sync ()
_Wide_streambuf::int_type underflow ()
streamsize xsputn (const typename _Wide_streambuf::char_type *__s, streamsize __n)

Detailed Description

  template<typename _Codecvt, typename _Elem = wchar_t, typename _Tr = char_traits<_Elem>>class std::wbuffer_convert< _Codecvt, _Elem, _Tr >
Buffer conversions.

Definition at line 246 of file locale_conv.h.

Constructor & Destructor Documentation

  template<typename _Codecvt , typename _Elem = wchar_t, typename _Tr = char_traits<_Elem>> std::wbuffer_convert< _Codecvt, _Elem, _Tr >::wbuffer_convert (streambuf * __bytebuf = 0, _Codecvt * __pcvt = new _Codecvt, state_type __state = state_type()) [inline], [explicit]
Default constructor.

Parameters:
    __bytebuf The underlying byte stream buffer.
    __pcvt The facet to use for conversions.
    __state Initial conversion state.

Takes ownership of __pcvt and will delete it in the destructor.

Definition at line 262 of file locale_conv.h.

Member Function Documentation

  template<typename _Codecvt , typename _Elem = wchar_t, typename _Tr = char_traits<_Elem>> state_type std::wbuffer_convert< _Codecvt, _Elem, _Tr >::state () const [inline], [noexcept]

The conversion state following the last conversion.

Definition at line 298 of file locale_conv.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.